# This file is part of A Robot's Conundrum.
#
# A Robot's Conundrum is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# A Robot's Conundrum is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# A Robot's Conundrum.  If not, see <http://www.gnu.org/licenses/>.
#
# ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' '
#
#                           level4.py
#                     --------------------
#       date created : Thu Nov 15 2012
#          copyright : (C) 2012 Sakse Dalum
#      maintained by : Sakse Dalum <don_s@hongabar.org>

"""
The final level.
"""

import pygame
import os.path
import level

class Level4(level.Level):
    def __init__(self, game, graphics_dir, paused=False):
        level.Level.__init__(self, game, graphics_dir,
                             size=(64 * 17, 48 * 21), paused=paused)
        self.background_img = pygame.image.load(os.path.join(self.graphics_dir,
                                                             'main_menu.png'))
        self.background_img = pygame.transform.smoothscale(
            self.background_img, self.game.window.get_size())
        self.background_img = pygame.transform.rotate(
            self.background_img, 180)

    def update(self, e, t, dt):
        if not self.paused:
            for event in e:
                if event.type == pygame.KEYDOWN:
                    if event.key == pygame.K_SPACE:
                        self.game.quit()

    def draw(self, window):
        window.blit(self.background_img, (0, 0))
